package me.icymint.libra.sage.core.dialect.query;

import me.icymint.libra.sage.model.SqlTable;
import me.icymint.libra.sage.model.SqlVar;

public class ConstQueryVar extends QueryVar {
	private Object value;
	private SqlVar v;

	public ConstQueryVar(SqlVar v, Object value) {
		this.v = v;
		this.value = value;
	}

	@Override
	public SqlTable getTable() {
		return null;
	}

	@Override
	public String getText() {
		if (value instanceof String) {
			return "'" + value + "'";
		} else {
			return "" + value;
		}
	}

	public Object getValue() {
		return value;
	}

	@Override
	public SqlVar getVar() {
		return v;
	}
}
