package me.icymint.libra.sage.core.dialect.query;

public class NotEqualQueryCondition extends QueryCondition {

	private final QueryVar qc;

	public NotEqualQueryCondition(QueryVar qc) {
		super(false);
		if (qc == null)
			throw new NullPointerException("查询字段为空！");
		this.qc = qc;
	}

	@Override
	public String getText() {
		return "NOT " + qc.getText();
	}

}
