package me.icymint.libra.sage.core.result;

import java.sql.DatabaseMetaData;
import java.sql.ResultSet;
import java.sql.SQLException;

public interface MetaDataResultHandler<T> extends ResultHandler<T> {
	/**
	 * 从DatabaseMetaData中获取需要的结果ResultSet。 例如
	 * {@link DatabaseMetaData#getCatalogs()}
	 * 
	 * @param metadata
	 * @throws SQLException
	 */
	ResultSet queryResultSet(DatabaseMetaData metadata) throws SQLException;
}
