package me.icymint.libra.sage.model.orm.pe;

import java.beans.PropertyEditor;
import java.sql.Timestamp;
import java.text.SimpleDateFormat;

public class TimestampPropertyEditor extends PropertyEditorSupports<Timestamp>
		implements PropertyEditor {

	private static SimpleDateFormat df = new SimpleDateFormat(
			"yyyy-MM-dd HH:mm:ss.sss");

	public TimestampPropertyEditor() {
		super(Timestamp.class);
	}

	@Override
	public String getAsText() {
		return df.format(this.getValue());
	}

	@Override
	public void setAsText(String text)
			throws java.lang.IllegalArgumentException {
		this.setValue(Timestamp.valueOf(text));
	}
}
