package me.icymint.libra.sage.core.result;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * 提取一组List结果。
 * 
 * @author Daniel
 * @datetime 2012-11-12上午10:59:48
 * 
 * @param <E>
 */
public class ScalarListResult<E> extends ListResultHandler<E> {
	private final int i;

	public ScalarListResult(int offset) {
		this(1, offset);
	}

	public ScalarListResult(int i, int offset) {
		super(offset);
		this.i = i;
	}

	@SuppressWarnings("unchecked")
	@Override
	public E handle(ResultSet rs, int collumnIndex) throws SQLException {
		try {
			return (E) rs.getObject(i);
		} catch (ClassCastException e) {
			throw new SQLException("参数类型不匹配！", e);
		}
	}

}
