package me.icymint.libra.sage.mask;

/**
 * 默认屏蔽对象，该对象实际上并未对结果进行屏蔽。
 * 
 * @author Daniel
 * @datetime 2012-11-2下午1:36:56
 * 
 */
public class DefaultMask implements Mask {

	@Override
	public String decode(String encode, String key) {
		return encode;
	}

	@Override
	public String encode(String source, String key) {
		return source;
	}

	@Override
	public String mask(String str) {
		return str;
	}

}
